# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "fakecloud-cognito"
version = "0.28.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Cognito User Pools implementation for FakeCloud"
homepage = "https://fakecloud.dev"
readme = false
license = "AGPL-3.0-or-later"
repository = "https://github.com/faiscadev/fakecloud"

[lib]
name = "fakecloud_cognito"
path = "src/lib.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.base64]
version = "0.22"

[dependencies.bytes]
version = "1"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.ciborium]
version = "0.2"

[dependencies.fakecloud-aws]
version = "0.28.0"

[dependencies.fakecloud-core]
version = "0.28.0"

[dependencies.fakecloud-iam]
version = "0.28.0"

[dependencies.fakecloud-persistence]
version = "0.28.0"

[dependencies.hmac]
version = "0.12"

[dependencies.http]
version = "1"

[dependencies.num-bigint]
version = "0.4"

[dependencies.p256]
version = "0.13"

[dependencies.parking_lot]
version = "0.12"

[dependencies.rand]
version = "0.8"

[dependencies.rcgen]
version = "0.13"

[dependencies.rsa]
version = "0.9"
features = [
    "sha2",
    "pem",
    "pkcs5",
]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.sha2]
version = "0.10"

[dependencies.tokio]
version = "1"
features = [
    "macros",
    "rt-multi-thread",
    "net",
    "io-util",
    "time",
    "signal",
    "sync",
    "process",
    "fs",
]

[dependencies.tracing]
version = "0.1"

[dependencies.uuid]
version = "1"
features = ["v4"]
